.DeviceViewer .device-view {
    margin: 1em;
}

.DeviceViewer h1 {
    font-weight: lighter;
    font-size: 2em;
}

.DeviceViewer h2 {
    font-weight: lighter;
    font-size: 1.5em;
    margin-top: 1em;
    border-bottom: 1px solid gray;
}

.DeviceViewer .device-header {
    font-size: 1.25em;
    padding: 1em;
}

.DeviceViewer table.separated tr {
    border-bottom: 1px solid lightgray;
}

.DeviceViewer table.separated tr:last-child {
    border-bottom: none;
}

.DeviceViewer .StateIndicator {
    margin-right: 0.25em;
    color: white;
    font-size: 0.75em;
    vertical-align: middle;
    padding: 0.25em;
    border-radius: 0.35em;
}

.DeviceViewer .StateIndicator.on,
.DeviceViewer .StateIndicator.open,
.DeviceViewer .StateIndicator.extract {
	background-color: #00ff00;
    border: 1px solid #00aa00;
    color: black
}

.DeviceViewer .StateIndicator.off,
.DeviceViewer .StateIndicator.close,
.DeviceViewer .StateIndicator.insert {
    background-color: white;
    border: 1px solid lightgray;
    color: black;
}

.DeviceViewer .StateIndicator.invalid {
    background-color: lightgray;
    border: 1px solid gray;
    color: black;
}

.DeviceViewer .StateIndicator.moving {
    background-color: #80a0ff;
    border: 1px solid darkblue;
    color: darkblue;
}

.DeviceViewer .StateIndicator.standby {
    background-color: yellow;
    border: 1px solid #dddd00;
    color: black;
}

.DeviceViewer .StateIndicator.fault {
    background-color: red;
    border: 1px solid #dd0000;
    color: white;
}

.DeviceViewer .StateIndicator.init {
    background-color: #cccc7a;
    border: 1px solid orange;
    color: black;
}

.DeviceViewer .StateIndicator.running {
    background-color: #007d00;
    border: 1px solid #00aa00;
    color: white;
}

.DeviceViewer .StateIndicator.alarm {
    background-color: #ff8c00;
    border: 1px solid #ee7c00;
    color: black;
}

.DeviceViewer .StateIndicator.disable {
    background-color: magenta;
    border: 1px solid #ee00ee;
    color: white;
}

.DeviceViewer .StateIndicator.unknown {
    background-color: #9b9b9b;
    border: 1px solid gray;
    color: black;
}

.DeviceViewer .format-chooser {
    margin: 1em 0em 0em 1em;
}

.section-chooser .nav-item {
    margin-left: 0.5em;
}

.DeviceViewer .Spinner {
    margin-left: auto;
    margin-right: auto;
    margin-top: 2em;
}